GNU Radio 2.x: gr_fir_ccc_generic class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Compound List | File List | Namespace Members | Compound Members | File Members

# gr_fir_ccc_generic Class Reference

`#include <gr_fir_ccc_generic.h>`

Inheritance diagram for gr_fir_ccc_generic:

[legend]
Collaboration diagram for gr_fir_ccc_generic:

[legend]
List of all members.

## Detailed Description

Concrete class for generic implementation of FIR with gr_complex input, gr_complex output and gr_complex taps.

The trailing suffix has the form _IOT where I codes the input type, O codes the output type, and T codes the tap type. I,O,T are elements of the set 's' (short), 'f' (float), 'c' (gr_complex), 'i' (int)

## Public Member Functions
| gr_fir_ccc_generic ()
| gr_fir_ccc_generic (const std::vector< gr_complex > &taps)
virtual gr_complex | filter (const gr_complex input[])
| compute a single output value.
virtual void | filterN (gr_complex output[], const gr_complex input[], unsigned long n)
| compute an array of N output values.
virtual void | filterNdec (gr_complex output[], const gr_complex input[], unsigned long n, unsigned decimate)
| compute an array of N output values, decimating the input

## Constructor & Destructor Documentation

gr_fir_ccc_generic::gr_fir_ccc_generic | ( |  | ) | `[inline]`

gr_fir_ccc_generic::gr_fir_ccc_generic | ( | const std::vector< gr_complex > & | taps | ) | `[inline]`

## Member Function Documentation

gr_complex gr_fir_ccc_generic::filter | ( | const gr_complex | input[] | ) | `[virtual]`

| compute a single output value. `input` must have ntaps() valid entries. input[0] .. input[ntaps() - 1] are referenced to compute the output value. Returns: the filtered input value. Implements gr_fir_ccc.

void gr_fir_ccc_generic::filterN | ( | gr_complex | output[],
|  | const gr_complex | input[],
|  | unsigned long | n
| ) | `[virtual]`

| compute an array of N output values. `input` must have (n - 1 + ntaps()) valid entries. input[0] .. input[n - 1 + ntaps() - 1] are referenced to compute the output values. Implements gr_fir_ccc.

void gr_fir_ccc_generic::filterNdec | ( | gr_complex | output[],
|  | const gr_complex | input[],
|  | unsigned long | n,
|  | unsigned | decimate
| ) | `[virtual]`

| compute an array of N output values, decimating the input `input` must have (decimate * (n - 1) + ntaps()) valid entries. input[0] .. input[decimate * (n - 1) + ntaps() - 1] are referenced to compute the output values. Implements gr_fir_ccc.

The documentation for this class was generated from the following files:

- gr_fir_ccc_generic.h
- gr_fir_ccc_generic.cc